stages:
  - test
  - deploy

test:
  image: gradle:jdk21
  stage: test
  script:
    - gradle check

deployment:
  image: gradle:jdk21
  stage: deploy
  environment: production
  script:
    - gradle publish
  only:
    - web